Page MenuHomePhabricator

Enforce an alphabetic default order for SiteList entries
Closed, ResolvedPublic1 Story Points

Description

Certain API modules use a list of sites (enwiki, dewikisource, frwikiquote and so on), for example https://www.wikidata.org/wiki/Special:ApiSandbox#action=wbgetentities and a lot more. The order in these lists is currently pretty much random: Currently it starts with a wild mixture of Wikibooks, Wikisource and other projects and ends with an almost, but not perfectly alphabetically sorted list of Wikipedia languages.

Patches for review:

Event Timeline

thiemowmde updated the task description. (Show Details)
thiemowmde raised the priority of this task from to Normal.
thiemowmde claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 4:46 PM

Change 225088 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Order SiteLists alphabetically for easy use in API sandbox

https://gerrit.wikimedia.org/r/225088

thiemowmde updated the task description. (Show Details)Jul 16 2015, 4:49 PM
thiemowmde set Security to None.

Change 225088 merged by jenkins-bot:
Order SiteLists alphabetically for easy use in API sandbox

https://gerrit.wikimedia.org/r/225088

Change 225089 had a related patch set uploaded (by Addshore):
Enforce an alphabetic default order for SiteList entries

https://gerrit.wikimedia.org/r/225089

Tobi_WMDE_SW edited a custom field.Aug 5 2015, 9:05 AM

Change 225089 merged by jenkins-bot:
Enforce an alphabetic default order for SiteList entries

https://gerrit.wikimedia.org/r/225089

thiemowmde closed this task as Resolved.Aug 18 2015, 12:40 PM
Bene moved this task from Done to Review on the Wikidata-Sprint-2015-08-11 board.Aug 24 2015, 2:30 PM
Bene moved this task from Review to Done on the Wikidata-Sprint-2015-08-11 board.Aug 24 2015, 2:34 PM